echo off
cls
if %1p1==p1 goto parmerror
if %2p2==p2 goto parmerror
echo Ŀ
echo                       E! INSTALLATION PROCEDURE                        
echo                       *************************                        
echo                                                                        
echo  INSTALL will merely copy all E! files in a directory called \E! on    
echo  the drive you indicated. Most of these files will be automatically    
echo  dearchived from the two archive files provided on the diskette(s).    
echo                                                                        
echo  Then INSTALL will modify your AUTOEXEC.BAT file and add the direc-    
echo  tory where E! has been installed to your PATH statement. It will      
echo  also add the SET E!=x:\E! statement.                                  
echo                                                                        
echo  After reading the documentation, if you were to decide to change      
echo  the directory where E! is installed or use a different directory      
echo  to store your profiles and macros, you'll have to change AUTOEXEC     
echo  accordingly.                                                          
echo                                                                        
echo  You can now stop the installation process by hitting Ctrl-C or        
echo  hit any other key to continue.                                        
echo 
pause
cls
echo Ŀ
echo                       REGISTERING YOUR COPY OF E!                      
echo                       ***************************                      
echo                                                                        
echo  E! is not a copy protected software. However, we have decided to      
echo  personalize each copy of E! to prevent software piracy.               
echo                                                                        
echo  This process is called "registering your copy of E!".                 
echo  To do that you'll need two things:                                    
echo                                                                        
echo     - the E!PATCH program (installed in the E! directory)              
echo     - a registration code (provided when purchasing E!)                
echo                                                                        
echo  After the installation process has succeeded, you'll have to switch   
echo  to the E! directory and run E!PATCH. Follow the instructions and      
echo  input your name and registration code. After that you'll never hear   
echo  about copy protection again.                                          
echo                                                                        
echo  Many thanks for your help.                                            
echo 
pause
cls
echo Ŀ
echo                    Starting E! installation                             
echo 
echo                     The source drive is %1
echo                     The target drive and directory are  %2\e!
echo                     Hit Ctrl-C to stop
pause
echo Creating %2\e!...
if not exist %2\e!\nul mkdir %2\e!
echo Testing %2\e!...
if not exist %2\e!\nul goto direrror
%2
chdir \e!
if exist %1e!disk1.exe goto next1
echo Please insert disk #1 in drive %1
pause
:next1
cls
echo Copying files from %1 to %2\e!...
copy %1e!patch.exe
copy %1e!patch.doc
copy %1read.it
copy %1register.txt
cls
echo Now dearchiving files...
%1e!disk1
if not exist %1e!disk2.exe goto nextdisk
%1e!disk2
goto ok
:nextdisk
echo Please insert disk #2 in drive %1
pause
if not exist %1e!disk2.exe goto diskerror
%1e!disk2
goto ok
:parmerror
echo INSTALL syntax : [x:]install x: y:
echo where x: drive from where E! diskettes are read
echo       y: drive where you want to install E!
goto end
:direrror
echo Error while creating %2\e!
goto end
:diskerror
echo Wrong diskette in drive %1
goto end
:ok
set path=%path%;%2\e!;
set e!=%2\e!
%1setauto %2\e!
if errorlevel 1 goto halt1
if errorlevel 2 goto halt2
if errorlevel 3 goto halt3
cls
echo E! has been installed in %2\e! and %2\e! has been added to your path
echo The following statement has been added to AUTOEXEC.BAT: SET E!=%2\E!
echo                 ****************
echo Your old autoexec.bat has been saved in AUTOEXEC.OLD or in AUTOEXEC.E!O
echo if AUTOEXEC.OLD was already present.
echo                 ****************
echo You don't need to reboot to begin to work with E!. These variables are
echo already active.
echo                 ****************
echo Many thanks for using E!.
goto end
:halt1
cls
echo ERROR : autoexec.bat has not been found. You'll have to modify it
echo yourself.
echo Please add %2\e! to your path and
echo        SET E!=%2\E!
echo to your autoexec.bat
echo E! files have been installed in %2\e!
goto end
:halt2
cls
echo ERROR : I/O error while modifying AUTOEXEC.BAT
echo E! files have been installed in %2\e!
goto end
:halt3
cls
echo ERROR : AUTOEXEC.BAT could not be renamed
echo E! files have been installed in %2\e!
echo Please look at AUTOEXEC.E! in your boot directory and modify
echo your AUTOEXEC.BAT accordingly.
:end
